# instantTranslate (Незабавен превод) #

* Автори: Alexy Sadovoy, Beqa Gozalishvili, Mesar Hameed, Alberto Buffolino
  и други сътрудници на NVDA.
* Изтегляне на [стабилна версия][1]
* Изтегляне на [работна версия][2]

Тази добавка е предназначена за превод на маркиран или копиран текст от един
език на друг.  Това се постига с помощта на услугата Google Translate.

## Настройка на езиците ##
За да конфигурирате текущия, желания и в случая - разменяемия език, отидете в: менюто на NVDA >> Настройки >> Незабавен превод.

Има два падащи списъка с надписи "Текущ език" и "Желан език" и поле за
отметка, с което се определя дали да се копира превода в клипборда.

В допълнение, ако сте избрали опцията "Автоматично" (първият избор) от
падащия списък "Текущ език", има и падащ списък с надпис "Език за замяна" и
поле за отметка за автоматична замяна.

Предназначението на първите два падащи списъка и полето с отметка за
копиране е ясно, но трябва да кажем няколко думи за останалите. Винаги
помнете, че обясненията по-долу важат при избрана опция "Автоматично" за
текущия език.

Падащият списък "Език за замяна" е полезен, когато сменяте чрез скрипт
(вижте по-долу) текущия и желания език. В действителност задаването на
стойност "Автоматично" на опцията за желан език няма смисъл, затова
добавката я задава на стойността от падащия списък по-горе.

Представете си следната ситуация: вие обикновено превеждате на английски
език (вашия основен език), но понякога (например когато пишете документ)
трябва да превеждате на италиански (вашия втори език, предполага се). Можете
да зададете стойността в падащия списък "Език за замяна" на италиански, така
че вие ще можете да превеждате от английски на италиански без да е
необходимо да отваряте настройките на добавката. Очевидно тази функция ще
има главно или второстепенно практическо приложение за вас, в зависимост от
нуждите ви.

Сега, полето за отметка за автоматична замяна се появява, ако и само ако сте
задали опцията "Автоматично" в падащия списък за "Текущ език" и е свързано
директно с падащия списък за "Език за замяна". Ако го задействате, добавката
ще се опитва да превключи автоматично от вашата конфигурация за текущ и
желан език към конфигурация където желаният език става текущия език и езикът
избран в падащия списък за "Език за замяна" става новия желан език. Това е
изключително полезно, ако текущият език на текста, който искате да преведете
е желаният език.

Един прост пример: вземете отново предвид ситуацията, която си представихте
преди малко. Ако превеждате текст на език, различен от английски - няма
проблем - получавате правилния превод на английски език. Но ако имате нужда
да преведете текст от английски, обикновено получавате превод на английски
идентичен с оригиналния текст, което е безполезно. Благодарение на функцията
за автоматична замяна обаче, ако приемем, че искате да знаете как вашия
текст звучи на италиански, добавката автоматично заменя желания език на
италиански, връщайки валиден превод.

Тъй или иначе, това е временна настройка. Ако тази опция няма ефект (тя е
експериментална), опитайте се да замените ръчно към стабилна настройка,
използвайки жеста за смяна, описан по-долу. Експериментална е, защото в
някои ситуации (обикновено - с кратки текстове), Google не разпознава
реалния текущ език правилно, и вие трябва да сменяте езика ръчно чрез
скрипт, така че да принудите текущия език да бъде предишния желан език (в
нашия пример - английски).

## Употреба ##
Можете да използвате тази добавка по два начина:

1. Маркирайте известно количество текст с помощта на командите за маркиране
   на текст (например shift в комбинация със стрелките). След това натиснете
   зададената за целта клавишна комбинация, за да преведете маркирания
   текст. След това преводът ще ви бъде прочетен с избраният от вас речев
   синтезатор.
2. Можете да превеждате и текст от клипборда.

## Клавишни комбинации ##
Всичките изброени по-долу команди трябва да бъдат изпълнени след натискането
на клавишната комбинация "NVDA+Shift+T":

* T: Превод на избрания текст,
* Shift+T: Превод на текста от клипборда,
* S: Размяна на текущия и желания език,
* A: Съобщаване на текущите настройки,
* C: Копиране на последния резултат в клипборда,
* I: Определяне на езика на избрания текст,
* H: Съобщава на потребителя всички налични команди.

## Промени във версия 3.0 ##
* Промяна на начина, по който се изпълняват командите. Сега можете да
  натиснете клавишната комбинация за Незабавен Превод - "NVDA+Shift+T" и
  след това команди от по един клавиш, за да извършите дадени действия
  (вижте всички налични команди в раздела "Клавишни комбинации").
* Добавена е възможност за размяна на езиците.
* Променен е форматът на конфигурационния файл. Вече можем да променяме
  настройките на добавката, ако сме в поле само за четене. Но трябва да се
  отбележи, че това ще работи само преди първото рестартиране на nvda.
* Премахнато е ограничението за дължината на текста, който може да бъде
  преведен.
* Добавен е бърз клавиш t към елемента от менюто в английската локализация
  на добавката
* Елементът auto вече е на първо място в падащия списък за език на текста и
  е премахнат в падащия списък за желан език.
* Добавено е поле за отметка за настройка на копирането на резултата от
  превода.
* Файлът с настройките вече се съхранява в основната папка с настройки.
* Текущият и желаният езици биват синхронизирани с това, което предоставя
  Google Translate към текущия момент (22 април 2015 г.).


## Промени във версия 2.1 ##
* Добавена е възможност за превод на текст от клипборда с натискане на
  nvda+shift+y.

## Промени във версия 2.0 ##
* Добавен е диалог за настройка, където може да изберете език на текста и
  желан език.
* Добавен е елемент в менюто на NVDA, подменю Настройки.
* Настройките вече се записват в отделен конфигурационен файл.
* Резултатите от превода вече се копират автоматично в клипборда за бъдещо
  използване.

## Промени във версия 1.0 ##
* Първоначално издание

[1]: http://addons.nvda-project.org/files/get.php?file=it [2]:
http://addons.nvda-project.org/files/get.php?file=it-dev


[[!tag dev stable]]

[1]: http://addons.nvda-project.org/files/get.php?file=it

[2]: http://addons.nvda-project.org/files/get.php?file=it-dev
